Results 1 to 2 of 2

Thread: install hplip patch

  1. #1

    Cool install hplip patch

    I need help installing this. The problem is it tells me to type ./configure --prefix=/usr but it has no configure file and it cant be extracted just a .patch. Heres a how to apply a patch file but I'm a NOOB so I dont understand it. Howto apply a patch file to my Linux / UNIX source code




    PLEASE NOTE - there has been a patch for the
    3.9.2 release. The instructions for the patch
    are below.

    The items in 'Changes' refer to the original
    3.9.2 release...not the patch.

    ---------------------------------------



    The hplip-3.9.2-high_cpu_utilization_logout.patch file fixes the following issue.

    1. Qt4 version 3.9.2 doesn't close from a switch user and uses high CPU.

    How to apply the patch:
    cd hplip-3.9.2
    patch -p1 <
    hplip-3.9.2-high_cpu_utilization_logout.patch
    ./configure --prefix=/usr
    make clean
    make
    make install

  2. #2

    Default Re: install hplip patch

    Are you sure you have the problem the patch is intended to solve? Don't fix what isn't broken.

    I suggest starting a new thread asking for help with your printer, scanner or fax problem before trying the patch solution.

    A patch, as used here, makes a change to source code. Source code is the C or C++ program used to write the software. A patch is used when you "install from source." I don't think you want to do that as a first choice.

    See the Opensuse wiki article at

    Compiling software - openSUSE

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •